	.file	"network.c"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"%s: \n"
	.text
	.globl	error_exit
	.type	error_exit, @function
error_exit:
.LFB23:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	%rdi, %rdx
	movl	$.LC0, %esi
	movq	stderr(%rip), %rdi
	movl	$0, %eax
	call	fprintf
	movl	$1, %edi
	call	exit
	.cfi_endproc
.LFE23:
	.size	error_exit, .-error_exit
	.section	.rodata.str1.1
.LC1:
	.string	"Error by Create()"
	.text
	.globl	net_create
	.type	net_create, @function
net_create:
.LFB24:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	call	socket
	testl	%eax, %eax
	js	.L4
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L4:
	.cfi_restore_state
	movl	$.LC1, %edi
	call	error_exit
	.cfi_endproc
.LFE24:
	.size	net_create, .-net_create
	.section	.rodata.str1.1
.LC2:
	.string	"Error by bind()"
	.text
	.globl	net_bind
	.type	net_bind, @function
net_bind:
.LFB25:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
1:	call	mcount
	movq	$0, -8(%rbp)
	movw	$2, -16(%rbp)
	bswap	%esi
	movl	%esi, -12(%rbp)
	rolw	$8, %dx
	movw	%dx, -14(%rbp)
	movl	(%rdi), %edi
	movl	$16, %edx
	leaq	-16(%rbp), %rsi
	call	bind
	testl	%eax, %eax
	js	.L7
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L7:
	.cfi_restore_state
	movl	$.LC2, %edi
	call	error_exit
	.cfi_endproc
.LFE25:
	.size	net_bind, .-net_bind
	.section	.rodata.str1.1
.LC3:
	.string	"Error by listen()"
	.text
	.globl	net_listen
	.type	net_listen, @function
net_listen:
.LFB26:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	(%rdi), %edi
	movl	$15, %esi
	call	listen
	cmpl	$-1, %eax
	je	.L10
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L10:
	.cfi_restore_state
	movl	$.LC3, %edi
	call	error_exit
	.cfi_endproc
.LFE26:
	.size	net_listen, .-net_listen
	.section	.rodata.str1.1
.LC4:
	.string	"Connection to Server fail"
	.text
	.globl	net_connect
	.type	net_connect, @function
net_connect:
.LFB27:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	subq	$16, %rsp
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movq	%rsi, %rdi
	movl	%edx, %ebx
	pxor	%xmm0, %xmm0
	movaps	%xmm0, -32(%rbp)
	call	inet_addr
	movl	%eax, %edx
	cmpl	$-1, %eax
	je	.L12
	movq	%rdx, -28(%rbp)
.L12:
	movw	$2, -32(%rbp)
	rolw	$8, %bx
	movw	%bx, -30(%rbp)
	movl	(%r12), %edi
	movl	$16, %edx
	leaq	-32(%rbp), %rsi
	call	connect
	testl	%eax, %eax
	js	.L14
	addq	$16, %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L14:
	.cfi_restore_state
	movl	$.LC4, %edi
	call	error_exit
	.cfi_endproc
.LFE27:
	.size	net_connect, .-net_connect
	.section	.rodata.str1.1
.LC5:
	.string	"Error by accept()"
	.text
	.globl	net_accept
	.type	net_accept, @function
net_accept:
.LFB28:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$40, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rsi, %rbx
	movl	$16, -36(%rbp)
	movl	(%rdi), %edi
	leaq	-36(%rbp), %rdx
	leaq	-32(%rbp), %rsi
	call	accept
	movl	%eax, (%rbx)
	cmpl	$-1, %eax
	je	.L17
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L17:
	.cfi_restore_state
	movl	$.LC5, %edi
	call	error_exit
	.cfi_endproc
.LFE28:
	.size	net_accept, .-net_accept
	.section	.rodata.str1.1
.LC6:
	.string	"Error by send()"
	.text
	.globl	net_send
	.type	net_send, @function
net_send:
.LFB29:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	(%rdi), %edi
	movl	$0, %ecx
	call	send
	cmpq	$-1, %rax
	je	.L20
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L20:
	.cfi_restore_state
	movl	$.LC6, %edi
	call	error_exit
	.cfi_endproc
.LFE29:
	.size	net_send, .-net_send
	.section	.rodata.str1.1
.LC7:
	.string	"Error by recv()"
	.text
	.globl	net_recv
	.type	net_recv, @function
net_recv:
.LFB30:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rsi, %rbx
	movl	(%rdi), %edi
	movl	$0, %ecx
	call	recv
	cmpl	$-1, %eax
	je	.L22
	cltq
	movb	$0, (%rbx,%rax)
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L22:
	.cfi_restore_state
	movl	$.LC7, %edi
	call	error_exit
	.cfi_endproc
.LFE30:
	.size	net_recv, .-net_recv
	.globl	net_close
	.type	net_close, @function
net_close:
.LFB31:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	(%rdi), %edi
	call	close
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE31:
	.size	net_close, .-net_close
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
